oojs/router: main (log #308916)

sourcepatches

This run took 57 seconds.

From 0c52d4460f020a0c6ba6dcc9dacd8b4139c4e540 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Fri, 4 Jun 2021 01:33:27 +0000
Subject: [PATCH] build: Updating ws to 7.4.6

* https://npmjs.com/advisories/1748 (CVE-2021-32640)

Change-Id: I4bfd3cb29ad81dc53e58c362076733f5f88b13bd
---
 package-lock.json | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index 3fd6477..7e9a3e7 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -4022,9 +4022,9 @@
 			"dev": true
 		},
 		"ws": {
-			"version": "7.4.5",
-			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.5.tgz",
-			"integrity": "sha512-xzyu3hFvomRfXKH8vOFMU3OguG6oOvhXMo3xsGy3xWExqaM2dxBbVxuD99O7m3ZUFMvvscsZDqxfgMaRr/Nr1g==",
+			"version": "7.4.6",
+			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.6.tgz",
+			"integrity": "sha512-YmhHDO4MzaDLB+M9ym/mDA5z0naX8j7SIlT8f8z+I0VtzsRbekxEutHSme7NPS2qE8StCYQNUnfWdXta/Yu85A==",
 			"dev": true
 		},
 		"y18n": {
-- 
2.20.1

$ date
Fri Jun  4 01:32:37 UTC 2021

$ git clone file:///srv/git/oojs-router.git repo --depth=1 -b master
Cloning into 'repo'...

$ git config user.name libraryupgrader

$ git config user.email tools.libraryupgrader@tools.wmflabs.org

$ git submodule update --init

$ grr init
Installed commit-msg hook.

$ git show-ref refs/heads/master
32d0e690243ada64091e13a0aeaf277804a4da9a refs/heads/master

Attempting to npm audit fix
$ npm audit fix --only=dev

> core-js@3.12.1 postinstall /src/repo/node_modules/core-js
> node -e "try{require('./postinstall')}catch(e){}"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon: 
> https://opencollective.com/core-js 
> https://www.patreon.com/zloirock 

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

added 469 packages from 1340 contributors in 8.815s

33 packages are looking for funding
  run `npm fund` for details

fixed 1 of 1 vulnerability in 472 scanned packages

$ npm audit fix --only=dev
npm WARN grunt-karma@4.0.0 requires a peer of karma@^4.0.0 || ^5.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

up to date in 2.223s

33 packages are looking for funding
  run `npm fund` for details

fixed 0 of 0 vulnerabilities in 472 scanned packages

$ npm audit fix --only=dev
npm WARN grunt-karma@4.0.0 requires a peer of karma@^4.0.0 || ^5.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

up to date in 9.989s

33 packages are looking for funding
  run `npm fund` for details

fixed 0 of 0 vulnerabilities in 472 scanned packages

$ package-lock-lint package-lock.json
0 issues found in: package-lock.json

Verifying that tests still pass
$ npm ci
npm WARN prepare removing existing node_modules/ before installation

> core-js@3.12.1 postinstall /src/repo/node_modules/core-js
> node -e "try{require('./postinstall')}catch(e){}"


> oojs-router@0.2.0 prepare /src/repo
> grunt build

Running "clean:dist" (clean) task
>> 0 paths cleaned.

Running "concat:router" (concat) task

Running "uglify:js" (uglify) task
>> 1 sourcemap created.
>> 1 file created 5.62 kB → 1.85 kB

Done.
added 472 packages in 8.193s

$ npm test

> oojs-router@0.2.0 test /src/repo
> grunt test

Running "eslint:all" (eslint) task

Running "git-build" task

Running "clean:dist" (clean) task
>> 3 paths cleaned.

Running "concat:router" (concat) task

Running "uglify:js" (uglify) task
>> 1 sourcemap created.
>> 1 file created 5.63 kB → 1.86 kB

Running "karma:main" (karma) task
04 06 2021 01:33:20.645:WARN [karma-server]: Passing raw CLI options to `new Server(config, done)` is deprecated. Use `parseConfig(configFilePath, cliOptions, {promiseConfig: true, throwErrors: true})` to prepare a processed `Config` instance and pass that as the `config` argument instead.
04 06 2021 01:33:21.237:INFO [karma-server]: Karma v6.3.2 server started at http://localhost:9876/
04 06 2021 01:33:21.238:INFO [launcher]: Launching browsers ChromeCustom with concurrency unlimited
04 06 2021 01:33:21.256:INFO [launcher]: Starting browser ChromeHeadless
04 06 2021 01:33:21.942:INFO [Chrome Headless 90.0.4430.212 (Linux x86_64)]: Connected on socket 0sbyhmQQ2VhFlwdnAAAB with id 78906611
..........
Chrome Headless 90.0.4430.212 (Linux x86_64): Executed 10 of 10 SUCCESS (0.094 secs / 0.081 secs)

=============================== Coverage summary ===============================
Statements   : 95.08% ( 58/61 )
Branches     : 81.25% ( 13/16 )
Functions    : 92.86% ( 13/14 )
Lines        : 95.08% ( 58/61 )
================================================================================

Running "karma:other" (karma) task
04 06 2021 01:33:22.419:WARN [karma-server]: Passing raw CLI options to `new Server(config, done)` is deprecated. Use `parseConfig(configFilePath, cliOptions, {promiseConfig: true, throwErrors: true})` to prepare a processed `Config` instance and pass that as the `config` argument instead.
04 06 2021 01:33:22.510:INFO [karma-server]: Karma v6.3.2 server started at http://localhost:9876/
04 06 2021 01:33:22.510:INFO [launcher]: Launching browsers FirefoxHeadless with concurrency unlimited
04 06 2021 01:33:22.511:INFO [launcher]: Starting browser FirefoxHeadless
04 06 2021 01:33:25.864:INFO [Firefox 78.0 (Linux x86_64)]: Connected on socket 0Ftg4eiPnFWfM_taAAAD with id 65118508
..........
Firefox 78.0 (Linux x86_64): Executed 10 of 10 SUCCESS (0.128 secs / 0.108 secs)

Done.

Upgrading n:ws from 7.4.5 -> 7.4.6
$ package-lock-lint package-lock.json
0 issues found in: package-lock.json

$ git add .

$ git commit -F /tmp/tmpe29mtlmr
[master 0c52d44] build: Updating ws to 7.4.6
 1 file changed, 3 insertions(+), 3 deletions(-)

$ git format-patch HEAD~1 --stdout
From 0c52d4460f020a0c6ba6dcc9dacd8b4139c4e540 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Fri, 4 Jun 2021 01:33:27 +0000
Subject: [PATCH] build: Updating ws to 7.4.6

* https://npmjs.com/advisories/1748 (CVE-2021-32640)

Change-Id: I4bfd3cb29ad81dc53e58c362076733f5f88b13bd
---
 package-lock.json | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index 3fd6477..7e9a3e7 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -4022,9 +4022,9 @@
 			"dev": true
 		},
 		"ws": {
-			"version": "7.4.5",
-			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.5.tgz",
-			"integrity": "sha512-xzyu3hFvomRfXKH8vOFMU3OguG6oOvhXMo3xsGy3xWExqaM2dxBbVxuD99O7m3ZUFMvvscsZDqxfgMaRr/Nr1g==",
+			"version": "7.4.6",
+			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.6.tgz",
+			"integrity": "sha512-YmhHDO4MzaDLB+M9ym/mDA5z0naX8j7SIlT8f8z+I0VtzsRbekxEutHSme7NPS2qE8StCYQNUnfWdXta/Yu85A==",
 			"dev": true
 		},
 		"y18n": {
-- 
2.20.1

Source code is licensed under the AGPL.